debmake -- insecure temporary files

2004-12-22T00:00:00
ID DSA-615
Type debian
Reporter Debian
Modified 2004-12-22T00:00:00

Description

Javier Fernández-Sanguino Peña from the Debian Security Audit Project noticed that the debstd script from debmake, a deprecated helper package for Debian packaging, created temporary directories in an insecure manner. This can be exploited by a malicious user to overwrite arbitrary files owned by the victim.

For the stable distribution (woody) this problem has been fixed in version 3.6.10.woody.1.

For the unstable distribution (sid) this problem has been fixed in version 3.7.7.

We recommend that you upgrade your debmake package.